#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Socket6
Version		:	0.29
Release		:	17.0.10.rel%{?dist}
Summary		:	IPv6 related part of the C socket.h defines and structure manipulators
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/IO::Socket::INET6

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make-ca

#-----------------------------------------------------------------------------
%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket"
as well as "use Socket6".
 

%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build

PERL_MM_USE_DEFAULT=1					\
	perl					\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
pushd %{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl
find . -name *.so -exec chmod u+w,+x {} \;
popd

%files			
%defattr(-, root,root, -)

%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/%{sname}.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/%{sname}/%{sname}.so
%{_mandir}/man3/%{sname}.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
